org.codehaus.groovy.util

## Class ManagedLinkedList<T>

- java.lang.Object
- - org.codehaus.groovy.util.ManagedLinkedList<T>

- Deprecated.
  replaced by `ManagedConcurrentLinkedQueue`

      @Deprecated
      public class ManagedLinkedList<T>
      extends java.lang.Object

  This class provides a very simple linked list of memory managed elements. This class does not support concurrent modifications nor will it check for them. This class is also not thread safe.
  Since:
    1.6
  Author:
    Jochen Theodorou

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedLinkedList(ReferenceBundle bundle)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(T value)` Deprecated. adds a value to the list
    `boolean` | `isEmpty()` Deprecated. returns if the list is empty
    `java.util.Iterator<T>` | `iterator()` Deprecated. returns an iterator, which allows the removal of elements.
    `T[]` | `toArray(T[] tArray)` Deprecated. Returns an array of non null elements from the source array.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagedLinkedList

          public ManagedLinkedList(ReferenceBundle bundle)

      Deprecated.

  - ### Method Detail

    - #### add

          public void add(T value)

      Deprecated.
      adds a value to the list
      Parameters:
        `value` - the value

    - #### iterator

          public java.util.Iterator<T> iterator()

      Deprecated.
      returns an iterator, which allows the removal of elements. The next() method of the iterator may return null values. This is especially the case if the value was removed.
      Returns:
        the Iterator

    - #### toArray

          public T[] toArray(T[] tArray)

      Deprecated.
      Returns an array of non null elements from the source array.
      Parameters:
        `tArray` - the source array
      Returns:
        the array

    - #### isEmpty

          public boolean isEmpty()

      Deprecated.
      returns if the list is empty
      Returns:
        true if the list is empty